| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IPoolCacheSvc Class Reference

`#include <PoolDb/IPoolCacheSvc.h>`

Inheritance diagram for IPoolCacheSvc:

[legend]
Collaboration diagram for IPoolCacheSvc:

[legend]
List of all members.

## Detailed Description

Description:.

The IPoolCacheSvc service interface allows to access the functionality provided by the POOL services. The interface allows to access the

- POOL persistency interface.
- POOL file catalog interface.
- POOL data service interface.

Author:
  Markus Frank

Version:
  1.0

Definition at line 43 of file IPoolCacheSvc.h.

## Public Member Functions
virtual pool::DbSession & | session ()=0
| Access the (single) POOL database session.
virtual StatusCode | loadDictionary (const std::string &name)=0
  | Parameters:
  | name | [IN] dictionary name/file path
virtual pool::DbOptionCallback * | callbackHandler () const=0
| Returns: Reference to POOL callback handler
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IPoolCacheSvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 47 of file IPoolCacheSvc.h.

References IID_IPoolCacheSvc.

Referenced by PoolDbCacheSvc::queryInterface().

    00047 { return IID_IPoolCacheSvc; }

virtual pool::DbSession& IPoolCacheSvc::session | ( |  | ) | `[pure virtual]`

Access the (single) POOL database session.

Implemented in PoolDbCacheSvc.

Referenced by PoolDbCnvSvc::initialize().

virtual StatusCode IPoolCacheSvc::loadDictionary | ( | const std::string & | name | ) | `[pure virtual]`

Parameters:

  | name | [IN] dictionary name/file path

Returns:
  Status code indicating success or failure

Implemented in PoolDbCacheSvc.

virtual pool::DbOptionCallback* IPoolCacheSvc::callbackHandler | ( |  | ) | const`[pure virtual]`

Returns:
  Reference to POOL callback handler

Implemented in PoolDbCacheSvc.

Referenced by PoolDbCnvSvc::finalize(), and PoolDbCnvSvc::initialize().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPoolDb/v4r0/GaudiPoolDb/IPoolCacheSvc.h